import { tableColumnInGroup } from '../components/ColumnSet/index.vue'
import { Ref } from 'vue'

export default function useTableColumnSet(tableColumns: Ref<tableColumnInGroup[]>) {
  const filterColumnKeys = ref<string[]>([])
  const filteredColumns = computed(() =>
    tableColumns.value.filter(({ dataKey }) => filterColumnKeys.value.includes(dataKey))
  )
  const columnChecked = (checkedColumnKeys: string[]) => {
    filterColumnKeys.value = checkedColumnKeys
  }
  return {
    columnChecked,
    filteredColumns,
  }
}
